=== lib/CMakeLists.txt ===
set(dconf_qt_SRCS
    qconf.cpp
    qconfschema.cpp
    qconftypes.cpp
    gvdb/gvdb-builder.c
    gvdb/gvdb-reader.c
    )

set(dconf_MOC_HDRS
    )

set (LIB_NAME "dconf-qt")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

qt4_wrap_cpp(dconf_MOC_SRCS ${dconf_MOC_HDRS})

add_library(${LIB_NAME} SHARED ${dconf_qt_SRCS} ${dconf_MOC_SRCS})
set_target_properties(${LIB_NAME} PROPERTIES
    VERSION ${dconf_qt_lib_VERSION}
    SOVERSION ${dconf_qt_lib_SOVERSION}
    )

target_link_libraries(${LIB_NAME}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    )

set(INCLUDE_INSTALL_DIR include/${LIB_NAME})

install(TARGETS ${LIB_NAME}
    LIBRARY DESTINATION lib${LIB_SUFFIX})

install(FILES qconf.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

#
# PkgConfig file
#
set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
set (LIBDIR "${CMAKE_INSTALL_PREFIX}/lib")
set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")

configure_file (${LIB_NAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}.pc)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}.pc DESTINATION
         ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
