=== qml/CMakeLists.txt ===
set(dconf-qml_SRCS
    plugin.cpp
    )

set(dconf-qml_MOC_HDRS
    plugin.h
    )

qt4_wrap_cpp(dconf-qml_MOC_SRCS ${dconf-qml_MOC_HDRS})

# Build
add_library(dconf-qml SHARED ${dconf-qml_SRCS} ${dconf-qml_MOC_SRCS})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

target_link_libraries(dconf-qml
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    dconf-qt
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/QConf)

install(TARGETS dconf-qml
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )
