=== debian/changelog ===
dconf-qt (0.0.0.110722-0ubuntu4) precise; urgency=low

  * debian/control:
    - create the upstream project on launchpad and change Vcs-Bzr
  * debian/patches/03_unsubscribe_on_destruction.patch:
    - unsubscribe from dconf-bus in ~QConf

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Mar 2012 11:29:44 +0100

dconf-qt (0.0.0.110722-0ubuntu3) oneiric; urgency=low

  * debian/patches/02_link_again_dconf_dbus.patch:
    - add two missing library linkage in upstream cmake

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Jul 2011 11:57:35 +0200

dconf-qt (0.0.0.110722-0ubuntu2) oneiric; urgency=low

  * debian/patches/01_fix_pc_generation.patch:
    - the generated pc file doesn't contain ${includedir} (seems to be stripped
      while generating the pc file), using @INCLUDEDIR@ instead
      is hapenning

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 22 Jul 2011 18:59:44 +0200

dconf-qt (0.0.0.110722-0ubuntu1) oneiric; urgency=low

  [ Didier Roche ]
  * New upstream snapshot with list support (LP: #812725)
  * debian/rules:
    - add --fail-missing to dh_install
    - add -V to dh_makeshlibs
  * debian/control:
    - change the description (we are now shipping the Qt bindings)
    - add missing deps on -dev package
  * debian/README.Debian:
    - remove the notice that we don't ship -dev package on purpose, let the
       "no ABI/API garantee" though
  * libdconf-qt-dev.install:
    - install new upsteam .pc file

  [ Florian Boucault ]
  * debian/control, rules, *install:
    - install new binary package libdconf-qt-dev
    - relax dependency on libqt4-dev

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 22 Jul 2011 17:59:07 +0200

dconf-qt (0.0.0.110706-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Jul 2011 13:10:50 +0200
