=== debian/control ===
Source: dconf-qt
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
               cmake,
               libglib2.0-dev (>= 2.27.91),
               libdconf-dbus-1-dev (>= 0.7.1),
               libqt4-dev,
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/dconf-qt/ubuntu
Homepage: https://gitorious.org/dconf-qt

Package: libdconf-qt0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dconf Qt bindings (library)
 This plugin provides dconf support for Qt applications. The Qt library
 shouldn't be used directly as there is no ABI and API stability guarantee.

Package: libdconf-qt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libdconf-qt0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.27.91),
         libdconf-dbus-1-dev (>= 0.7.1),
         libqt4-dev,
         pkg-config,
Description: dconf Qt bindings (development files)
 This plugin provides dconf support for Qt applications. The Qt library
 shouldn't be used directly as there is no ABI and API stability guarantee.
 .
 This package contains the development header files.
